=== Privyr CRM - Instant Lead Alerts for Contact Forms ===
Contributors: shivammani
Tags: privyr,wpcf7,wpforms,elementor,gravity,form,crm,divi,houzez,forminator,ninja
Requires at least: 5.0
Tested up to: 6.2.2
Requires PHP: 5.6
Stable tag: 1.0.1
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Get instant new lead alerts on your phone and via email, combined with easy lead management and one-touch calls, WhatsApp, SMS, iMessage, and emails.

== Description ==
## Privyr CRM Integration for WordPress
Privyr connects to popular WordPress contact forms to give you instant alerts of new leads, so you can get in touch with them via WhatsApp, SMS, iMessage, or phone call within seconds. 

It also offers auto-personalised messages and content, trackable PDF files and pages, automatic follow-up reminders, and many more features to help you manage your leads and increase sales conversion.

All of this can be done easily from your phone via the Privyr mobile app, which works with WhatsApp, SMS, email, and other popular chat apps.

Privyr works with popular WordPress contact forms such as [Contact Form 7](https://wordpress.org/plugins/contact-form-7/), [WPForms](https://wpforms.com/), [Elementor Forms](https://elementor.com/features/form-builder/), [Gravity Forms](https://www.gravityforms.com/), [Ninja Forms](https://ninjaforms.com/), [Divi](https://www.elegantthemes.com/documentation/divi/contact/) and more.

It can also integrate with many other lead sources such as [Facebook Lead Ads](https://www.facebook.com/business/ads/lead-ads), [TikTok Lead Generation](https://ads.tiktok.com/help/article?aid=10001624), [Google Ad Lead Forms](https://support.google.com/google-ads/answer/9423234?hl=en), [Jotform](http://jotform.com), [Zapier](https://zapier.com/), and other website contact forms. 

## Setup and Installation

It only takes a minute to connect WordPress to your Privyr account, via the steps below:

**Prerequisites:**
1. You should have a contact form plugin installed on your website (e.g. Contact Form 7, WPForms, Elementor Forms, Gravity Forms, Ninja Forms, etc), with at least one contact form created already
2. You should have a valid [Privyr account](https://www.privyr.com/) created (it takes less than 30 seconds to sign up for a free account)

**Installation Steps:**
1. Install this **Privyr CRM Integration** plugin to your WordPress account and activate the plugin
2. Click on the **Privyr CRM** tab at the bottom of your WordPress admin panel to configure it
3. Enter your **Privyr Account Token** (copied from your Privyr Account)
4. Click on **SAVE** 

Once done, your compatible contact form plugin(s) will be connected to Privyr and show a green connected status. You can submit test leads on your website contact form(s) to ensure you receive them instantly in your Privyr account.

You'll also have the option of adding a ‘Website Name’ that will be displayed on your new lead alerts and client details to let you know where the lead came from.

## New Lead Alerts

Once you’ve connected your WordPress contact forms to your Privyr account, any new leads submitted via your contact forms will immediately send you a new lead alert via the Privyr mobile application and your registered email address.

Tap the alert to view the lead with all the captured information displayed on their notes field. You can immediately contact them or send an auto-personalised [Quick Response](https://help.privyr.com/knowledge-base/quick-responses/) via WhatsApp, SMS, iMessage, or email.

You can also enable additional alerts if you haven’t acted on a new lead within 15 minutes and 60 minutes, in case you missed the first notification. You can enable these extra alerts via your Privyr [Account Notification Settings](https://help.privyr.com/knowledge-base/account-preferences/#notifications).

## Privacy Policy

All your data in Privyr is private by default and can only be viewed by you or those you explicitly decide to share it with (such as when granting access to your colleagues or sending content to your clients).

We operate our business fully on monthly subscriptions, with no hidden costs or clauses. We will never sell or expose your leads, contacts, data, or details to any third parties or advertisers that would put us in conflict with your interests.

You always have full control over your data and can choose to delete it at any time.


== Installation ==

It only takes a minute to connect WordPress to your Privyr account, via the steps below:

**Prerequisites:**
1. You should have a contact form plugin installed on your website (e.g. Contact Form 7, WPForms, Elementor Forms, Gravity Forms, Ninja Forms, etc), with at least one contact form created already
2. You should have a valid [Privyr account](https://www.privyr.com/) created (it takes less than 30 seconds to sign up for a free account)

**Installation Steps:**
1. Install this **Privyr CRM Integration** plugin to your WordPress account and activate the plugin
2. Click on the **Privyr CRM** tab at the bottom of your WordPress admin panel to configure it
3. Enter your **Privyr Account Token** (copied from your Privyr Account)
4. Click on **SAVE** 

Once done, your compatible contact form plugin(s) will be connected to Privyr and show a green connected status. You can submit test leads on your website contact form(s) to ensure you receive them instantly in your Privyr account.

You'll also have the option of adding a ‘Website Name’ that will be displayed on your new lead alerts and client details to let you know where the lead came from.

== FAQ ==

**=== What is Privyr?===**

Privyr is a mobile CRM built for sales professionals who run their businesses from their phone. It works with phone calls, WhatsApp, SMS, iMessage, email, and other popular chat apps.

Privyr connects to your lead sources - such as your website, Facebook Lead Ads, TikTok Lead Generation, Google Ad Lead Forms, and Zapier - to give you instant alerts and one-touch follow-ups with new leads. 

It also offers auto-personalised messages and content, trackable PDF files and pages, automatic follow-up reminders, and many more features to help you manage your leads and increase sales conversion.

All of this can be done easily from your phone via our mobile app.

View a video of how Privyr works here:
[https://www.youtube.com/watch?v=UZPknxcpfPg](https://www.youtube.com/watch?v=UZPknxcpfPg)


<br/>

**=== Do I need a Privyr account to use this plugin? ===**

Yes, a Privyr account is required to use this plugin as leads will be sent to the registered email address on your account, as well as to your Privyr mobile application. 

If you don’t have an account already, you can create one at [https://www.privyr.com/](https://www.privyr.com/)

You can create a free account with no credit card required, so you can try it out without having to worry about charges or payments.


<br/>

**=== Are the lead alerts instant or delayed? ===**

Privyr will alert you of new leads instantly, as soon as they’re submitted.

Once you’ve connected WordPress to your Privyr account, any new leads submitted via your contact forms will immediately send you a new lead alert via the Privyr mobile application and your registered email address.


<br/>

**=== Are there any limits to the number of leads I can receive or manage? ===**

Privyr offers unlimited access and usage during the free trial as well as once subscribed. This means there are no limits on the number of leads you can receive and manage in Privyr.

We also offer unlimited lead source integrations, unlimited content sending (messages, files, and pages), and unlimited contact management.

Our free forever plan gives unlimited instant lead alerts via the Privyr mobile app, unlimited lead source integrations, and unlimited lead distribution. You see our free and subscription tiers here: [https://www.privyr.com/pricing](https://www.privyr.com/pricing) 

<br/>

**=== Can I receive leads from other sources in Privyr? ===**

Yes! In addition to WordPress contact forms, Privyr can also integrate with other lead sources such as [Facebook Lead Ads](https://www.facebook.com/business/ads/lead-ads), [TikTok Lead Generation](https://ads.tiktok.com/help/article?aid=10001624), [Google Ad Lead Forms](https://support.google.com/google-ads/answer/9423234?hl=en), [Jotform](http://jotform.com), [Typeform](https://www.typeform.com/), other website contact forms, and hundreds of other lead sources via [Zapier](https://zapier.com/).

You can view details on our other integrations in our [Help Guide](https://help.privyr.com/categories/integrations/).


<br/>

**=== Is my data secure in Privyr? ===**

All your data in Privyr is private by default and can only be viewed by you or those you explicitly decide to share it with (such as when granting access to your colleagues or sending content to your clients).

We operate our business fully on monthly subscriptions, with no hidden costs or clauses. We will never sell or expose your leads, contacts, data, or details to any third parties or advertisers that would put us in conflict with your interests.

You always have full control over your data and can choose to delete it at any time.


== Changelog ==

**v1.0.1**
- Minor bug fix

**v1.0**

Added new support for these plugins:
- Formidable
- Everest Forms
- MetForm - Elementor Contact Form Builder

**v0.7**

Added new support for these plugins:
- Fluent Forms

Bug fixes for these plugins:
- Forminator
- Ninja Form

**v0.6**

Added new support for these plugins:
- PRO Elements

**v0.5**

Bug fixes for these plugins:
- Elementor
- WPForms
- Gravity Forms

**v0.4**

Added new support for:
- WPForms Lite

**v0.3**

Added new support for these plugins:
- Divi
- Houzez
- Forminator

**v0.2**

Redesign plugin page and added new support for these plugins:
- WPForms
- Elementor Form
- Gravity Form
- Ninja Form

**v0.1**

Support for Wordpress Contact Form 7