<?php
// Exit if accessed directly
if (!defined('ABSPATH')) {
    die('Un-authorized access!');
}

class Leadcrm_Formidable
{
    private function extract_value_by_type($item_meta, $field)
    {
        $base_value = $item_meta[$field->id];
        // Combine first & last name into one single string
        if ($field->type == 'name') {
            return trim("{$base_value['first']} {$base_value['last']}");
        }
        return $base_value;
    }

    /**
     * Extracting Formidable field values into a dictionary
     * containing key value pairs
     */
    private function extract_fields($form_id)
    {
        $item_meta = $_POST['item_meta'];
        $fields = FrmField::get_all_for_form($form_id);

        $body = array();
        foreach ($fields as $field) {
            $key = $field->name;
            $body[$key] = $this->extract_value_by_type($item_meta, $field);
        }
        return $body;
    }

    /** 
     * This is a formidable callback after the lead is submitted.
     * Calls a non blocking http API request to 365 CRM with lead data.
     */
    public function submit_to_leadcrm($entry_id, $form_id)
    {
        $form = FrmForm::getOne( $form_id );
        $form_name = $form->name;
        $token = Leadcrm_Options::get_single_value('leadcrm_token');
        $cf_reference = Leadcrm_Options::get_single_value('cf_reference');
        $leadcrm_api = new Leadcrm_API('formidable_form', $form_name);
        $endpoint = $leadcrm_api->build_api_endpoint();
        $payload = $this->extract_fields($form_id);
        $payload['leadcrm_token'] = $token;
        $payload['cf_reference'] = $cf_reference;
        $leadcrm_api->submit_lead_to_leadcrm($endpoint, $payload, Content_Type::JSON);
    }
}
