<?php
// Exit if accessed directly
if (!defined('ABSPATH')) {
    die('Un-authorized access!');
}

class Leadcrm_Ninja_Form
{

    /**
     * Reformat form fields into dict key value pair
     * So it is easier to be consumed by our webhook API
     */
    private function format_fields_payload($fields)
    {
        $body = array();
        foreach ($fields as $field) {
            $body[$field['label']] = $field['value'];
        }
        return $body;
    }

    /** 
     * This is ninja form callback after the lead is submitted.
     * Calls a non blocking http API request to 365 CRM with lead data.
     */
    public function submit_to_leadcrm($form_data)
    {
        $form_title    = $form_data['settings']['title'];
        $form_fields   =  $form_data['fields'];
        $token = Leadcrm_Options::get_single_value('leadcrm_token');
        $cf_reference = Leadcrm_Options::get_single_value('cf_reference');
        $leadcrm_api = new Leadcrm_API('ninja_form', $form_title);
        $endpoint = $leadcrm_api->build_api_endpoint();
        $payload = $this->format_fields_payload($form_fields);
        $payload['form_name'] = $form_title;
        $payload['leadcrm_token'] = $token;
        $payload['cf_reference'] = $cf_reference;

        $leadcrm_api->submit_lead_to_leadcrm($endpoint, $payload, Content_Type::JSON);
    }
}
