<?php
// Exit if accessed directly
if (!defined('ABSPATH')) {
    die('Un-authorized access!');
}

class Leadcrm_CF7
{
    /**
     * Format and prepare the raw data from contact form 7 
     */
    private function get_posted_data($cf7)
    {
        $token = Leadcrm_Options::get_single_value('leadcrm_token');
        $cf_reference = Leadcrm_Options::get_single_value('cf_reference');
        if (!isset($cf7->posted_data) && class_exists('WPCF7_Submission') && !empty($token)) {
            // Contact Form 7 version 3.9 removed $cf7->posted_data and now
            // we have to retrieve it from an API
            $submission = WPCF7_Submission::get_instance();
            $cf7FormData = $submission->get_posted_data();
            $cf7FormData['leadcrm_token'] = $token;
            $cf7FormData['cf_reference'] = $cf_reference;
            $cf7FormData['title'] = $cf7->title();
            $cf7FormData['wp_cf_type'] = "contact_form7";
            if ($submission) {
                return $cf7FormData;
                // array(
                //     'title' => $cf7->title(),
                //     'form_data' => $submission->get_posted_data(),
                //     'leadcrm_token' => $token,
                //     'cf_reference' => $cf_reference,
                //     'wp_cf_type' => "contact_form7"
                // );
            }
            return (array)$cf7;
        }
        return null;
    }

    /** 
     * This is a wpcf7 callback after the lead is submitted.
     * Calls a non blocking http API request to 365 CRM with lead data.
     */
    public function submit_cf7_to_leadcrm($contact_form)
    {
        $leadcrm_api = new Leadcrm_API('cf7');
        $webhook_url = Leadcrm_Constants::get_webhook_url('cf7');
        $payload = $this->get_posted_data($contact_form);
        $leadcrm_api->submit_lead_to_leadcrm($webhook_url, $payload, Content_Type::JSON);
    }
}